SoapClient::__getLastRequest
SoapClient::__getLastResponse
SoapClient
PHP Manual

# SoapClient::__getLastRequestHeaders

(PHP 5 >= 5.0.1)

SoapClient::__getLastRequestHeaders — Returns the SOAP headers from the last request

### Description

public string SoapClient::__getLastRequestHeaders ( void )

Returns the SOAP headers from the last request.

> Note:

> This function only works if the SoapClient object was created with the trace option set to `TRUE`.

### Parameters

This function has no parameters.

### Return Values

The last SOAP request headers.

### Examples

Example #1 SoapClient::__getLastRequest() example

`<?php
$client = SoapClient("some.wsdl", array('trace' => 1));
$result = $client->SomeFunction();
echo "REQUEST HEADERS:\n" . $client->__getLastRequestHeaders() . "\n";
?>`

### See Also

- SoapClient::__getLastResponseHeaders() - Returns the SOAP headers from the last response
- SoapClient::__getLastRequest() - Returns last SOAP request
- SoapClient::__getLastResponse() - Returns last SOAP response

SoapClient::__getLastRequest
SoapClient::__getLastResponse
SoapClient
PHP Manual